View Issue Details

IDProjectCategoryView StatusLast Update
0001973DraftFeaturepublic2018-12-07 13:15
Reporterr-frankAssigned Towandererfan 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platform64 bitOSWindowsOS Version7
Product Version0.14 
Target Version0.18Fixed in Version0.18 
Summary0001973: Improve GUI of Shapestring-command
DescriptionATM you have to press "Return" to advance from sub-menu to sub-menu in the Shapestring-Command-Menu.
Adding Arrow-Icons or Buttons to advance or putting all input fields in one big menu would improve User friendliness.
Additional InformationSee here for discussion:
http://forum.freecadweb.org/viewtopic.php?f=8&t=9768
Opened a FR thread in the UI/UX subforum:
https://forum.freecadweb.org/viewtopic.php?f=34&t=22739
Tags#lowhangingfruit, shapestring, UI

Relationships

related to 0002562 new Add Skew/Shear Angle to ShapeString 

Activities

wmayer

2015-02-19 09:53

administrator   ~0005813

A wizard should be used for this: http://qt-project.org/doc/qt-4.8/qwizard.html

ickby

2015-02-19 13:08

developer   ~0005814

I don't think adding wizards for tools is a good idea, this breaks the interface design. Imho it would be better to find a ui layout for the task dialog where all options are displayed at once so that the user can switch by selecting the correct input field. Then the return key can be used like tab to switch between the fields, this would then not break the current way of navigating.

wandererfan

2018-12-02 14:25

developer   ~0012230

Should be fixed by commit bdbdf8c6b7.

Issue History

Date Modified Username Field Change
2015-02-18 19:01 r-frank New Issue
2015-02-19 09:53 wmayer Note Added: 0005813
2015-02-19 13:08 ickby Note Added: 0005814
2017-01-19 17:06 Kunda1 Tag Attached: shapestring
2017-05-31 01:02 Kunda1 Tag Attached: UI
2017-05-31 17:47 Kunda1 Additional Information Updated View Revisions
2017-12-04 14:45 Kunda1 Tag Attached: #lowhangingfruit
2018-10-02 21:27 Kunda1 Relationship added related to 0002562
2018-12-02 14:25 wandererfan Note Added: 0012230
2018-12-02 14:26 wandererfan Assigned To => wandererfan
2018-12-02 14:26 wandererfan Status new => resolved
2018-12-02 14:26 wandererfan Resolution open => fixed
2018-12-02 14:26 wandererfan Fixed in Version => 0.18
2018-12-02 14:26 wandererfan Target Version => 0.18
2018-12-07 13:15 wandererfan Status resolved => closed